Vcenter Vm Guest Customization check
Returns the status of the customization check operation for the virtual machine in vm. This operation checks whether the virtual machine is customizable or not.
This operation was added in vSphere API 9.0.0.0.
Returns an authorization error if you do not have all of the privileges described as follows:
- The resource
VirtualMachinereferenced by the parameter vm requiresSystem.View.
The unique identifier of the virtual machine that needs to be checked.
The parameter must be an identifier for the resource type: VirtualMachine.
CheckInfo contains the status of the customization check operation.
{
"check_status": "string",
"supported_guest_os": false,
"supported_power_state": false
}
The status of the customization check operation.
For more information see: Vcenter Vm Guest Customization CheckInfo CheckStatus.
This property was added in vSphere API 9.0.0.0.
Whether or not the guest OS is supported by customization operation. If supported_guest_os is false in the status of a customization check operation, the virtual machine is not customizable due to the guest OS is not supported by customization operation.
This property was added in vSphere API 9.0.0.0.
This property will be missing or null if the customization check operation has not reached the step of checking guest OS.
Whether or not customization operation is supported in the current power state. If supported_power_state is false in the status of a customization check operation, the virtual machine is not customizable due to customization operation is not supported in the current power state.
This property was added in vSphere API 9.0.0.0.
This property will be missing or null if the customization check operation has not reached the step of checking power state.
if the user can not be authenticated.
{
"messages": [
{
"id": "string",
"default_message": "string",
"args": [
"string"
],
"params": {
"params": {
"s": "string",
"dt": "string",
"i": 0,
"d": "number",
"l": {
"id": "string",
"params": {
"params": "Vapi Std LocalizationParam Object"
}
},
"format": "string",
"precision": 0
}
},
"localized": "string"
}
],
"data": {},
"error_type": "string",
"challenge": "string"
}
Indicates the authentication challenges applicable to the target API provider. It can be used by a client to discover the correct authentication scheme to use. The exact syntax of the value is defined by the specific provider, the protocol and authentication schemes used.
For example, a provider using REST may adhere to the WWW-Authenticate HTTP header specification, RFC7235, section 4.1. In this case an example challenge value may be: SIGN realm="27da1358-2ba4-11e9-b210-d663bd873d93",sts="http://vcenter/sso?vsphere.local", Basic realm="vCenter"
This property was added in vSphere API 7.0.0.0.
This property is optional because it was added in a newer version than its parent node.
if the user doesn't have the required privileges.
{
"messages": [
{
"id": "string",
"default_message": "string",
"args": [
"string"
],
"params": {
"params": {
"s": "string",
"dt": "string",
"i": 0,
"d": "number",
"l": "Vapi Std NestedLocalizableMessage Object",
"format": "string",
"precision": 0
}
},
"localized": "string"
}
],
"data": {},
"error_type": "string",
"challenge": "string"
}
Indicates the authentication challenges applicable to the target API provider. It can be used by a client to discover the correct authentication scheme to use. The exact syntax of the value is defined by the specific provider, the protocol and authentication schemes used.
For example, a provider using REST may adhere to the WWW-Authenticate HTTP header specification, RFC7235, section 4.1. In this case an example challenge value may be: SIGN realm="27da158-2ba4-11e9-b",sts="http://vcenter/sso?vsphere.local", Basic realm="vCenter"
This property was added in vSphere API 9.1.0.0.
This property is optional because it was added in a newer version than its parent node.
If the virtual machine vm is not found.
{
"messages": [
{
"id": "string",
"default_message": "string",
"args": [
"string"
],
"params": {
"params": {
"s": "string",
"dt": "string",
"i": 0,
"d": "number",
"l": "Vapi Std NestedLocalizableMessage Object",
"format": "string",
"precision": 0
}
},
"localized": "string"
}
],
"data": {},
"error_type": "string"
}
if the system is unable to communicate with a service to complete the request.
{
"messages": [
{
"id": "string",
"default_message": "string",
"args": [
"string"
],
"params": {
"params": {
"s": "string",
"dt": "string",
"i": 0,
"d": "number",
"l": "Vapi Std NestedLocalizableMessage Object",
"format": "string",
"precision": 0
}
},
"localized": "string"
}
],
"data": {},
"error_type": "string"
}
curl -X POST -H 'Authorization: <value>' https://{api_host}/api/vcenter/vm/{vm}/guest/customization?action=check